2017-07-23 06:32 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0000037NewsStatsReportspublic2013-09-02 14:52
Reporterthh 
Assigned Tothh 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
ProjectionnoneETAnone 
Product VersionProduct Build 
Target Version0.01Fixed in Version0.01 
Summary0000037: Better assembly of newsgroups lists
DescriptionThe list of newsgroups submitted by -n should be better translated to a SQL query; the list of groups _without_ wildcards should be passed to an IN(....) function.

Example: "-n de.test:de.alt.*:de.rec.sammeln:de.talk.romance"

Current query:
"newsgroup LIKE 'de.test' or newsgroup LIKE 'de.alt.%' or newsgroup LIKE 'de.rec.sammeln' or newsgroup LIKE 'de.talk.romance'"

Intended query:
"newsgroup IN('de.test','de.rec.sammeln','de.talk.romance') or newsgroup LIKE 'de.alt.*'"
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
thh

~0000064

thh (administrator)

Fix committed to next branch as 10459ac8c7e23e8f594209091e9c92bcf1e57df7: Create better newsgroup lists for SQL clause.

Build a 'IN(...)' list for single newsgroup
names without wildcards. Create SQL clause
with a mix of wildcards and wildcard-less
group names.

More code for a better query ...

Fixes 0000037.

Signed-off-by: Thomas Hochstein <thh@inter.net>
+Notes

-Related Changesets
NewsStats: next edd250f2
Timestamp: 2012-05-02 16:11:43
Author: thh
Details ] Diff ]
Complete rewrite of groupstats.pl and NewsStats.pm.

* Switch to Getopt::Long, change coding style;
limit line length.

* Replace 'die' and 'warn' by calls to &Bleat().

* Completely redo options and processing:
- merge -m/-p/-a into --month
- replace -i/-q/-d with - much more powerful -
--group-by/--order-by
- replace -t/-l with - much more powerful -
--lower/--upper/--boundary
- remove -b and replace it with --report

Fixes 0000033.

* Add new report types, boundaries and sorting options:
- report types 'average' and 'sums'
- boundaries 'average' and 'sums'
- upper and/or lower boundary
- sort output independently

Issue 0000035.
Fixes 0000034, 0000038.

* Add possibility to cross-check newsgroups against
checkgroups file.

* Complete rewrite of groupstats.pl internal logic:
- modularize construction fo SQL queries
- remove unnecessary special cases
- refactor code into NewsStats.pm functions as much
as possible

Issue 0000037.
Fixes 0000036.

* Rework output formats, fix padding problem by making use
of modularized SQL queries.

Fixes 0000015, 0000032.

* Add some more consistency checks.

Issue 0000012.

* Redo documentation.

* Update TODO list.

Signed-off-by: Thomas Hochstein <thh@inter.net>
mod - groupstats.pl Diff ] File ]
mod - NewsStats.pm Diff ] File ]
mod - doc/TODO Diff ] File ]
NewsStats: next 10459ac8
Timestamp: 2013-09-02 06:55:13
Author: thh
Details ] Diff ]
Create better newsgroup lists for SQL clause.

Build a 'IN(...)' list for single newsgroup
names without wildcards. Create SQL clause
with a mix of wildcards and wildcard-less
group names.

More code for a better query ...

Fixes 0000037.

Signed-off-by: Thomas Hochstein <thh@inter.net>
mod - NewsStats.pm Diff ] File ]

+Related Changesets

-Issue History
Date Modified Username Field Change
2011-01-19 23:41 thh New Issue
2011-01-19 23:42 thh Status new => acknowledged
2012-05-02 18:00 thh Status acknowledged => confirmed
2013-09-02 06:58 thh Changeset attached => NewsStats next edd250f2
2013-09-02 08:58 thh Assigned To => thh
2013-09-02 08:58 thh Status confirmed => assigned
2013-09-02 12:56 thh Changeset attached => NewsStats next 10459ac8
2013-09-02 12:56 thh Note Added: 0000064
2013-09-02 12:56 thh Status assigned => resolved
2013-09-02 12:56 thh Resolution open => fixed
2013-09-02 14:52 thh Fixed in Version => 0.01
+Issue History